package com.jproxy.mlist.mbeans;

import java.util.*;
import java.io.*;
import java.net.*;

import java.io.InputStream;
import java.io.IOException;

public class FileProperties
	extends Properties
{
	File file = null;
	public FileProperties(Object obj, String fileName)
	{
		try
		{
			ClassLoader cl= obj.getClass().getClassLoader();
			java.net.URL url= cl.getResource(fileName);
			Properties prop = new Properties();
			prop.load(url.openStream());

			file = new File(prop.getProperty("prop_path"));
			load(new FileInputStream(file));
		}
		catch (IOException e){e.printStackTrace();}
	}

	public void store()
	{
		try
		{
			FileOutputStream fos = new FileOutputStream(file);
			store(fos, null);
			fos.close();
		}
		catch (IOException e){e.printStackTrace();}
	}
}
