package com.jproxy.samples.ejb.test;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;

import com.jproxy.samples.interfaces.ITest;

/**
 * ISession interface agregates all remote interfaces.
 * ISession may extend number of interfaces.
 * Each interface has its own implementation.
 * It allows encapculation different interfaces from its implemntation
 * It also allows validate methods of interfaces during compilation.
 */
public interface ISession
	extends EJBObject,
			ITest
{
}
