package com.jproxy.mlist.common;

import java.util.*;
import java.io.*;
import java.net.*;

public class Helper
{
	static public void string2File(String fileName, String str, boolean append)
		throws IOException
	{
		int i = fileName.lastIndexOf(File.separatorChar);
		if (i != -1)
		{
			String dirName = fileName.substring(0, i);
			File dir = new File(dirName);
			if (!dir.exists())
			{
				if (!dir.mkdirs())
					throw new IOException("Cannot create the directory '"+dirName+"'");
			}
		}
		PrintWriter out = new PrintWriter(new FileWriter(fileName, append));
		out.print(str);
		out.flush();
		out.close();
	}

	static public String file2String(String fileName)
		throws IOException
	{
		boolean res = true;
		String str = "";
		File file = new File(fileName);

		int length = (int)file.length();
		FileInputStream fr = new FileInputStream(file);
		BufferedInputStream br = new BufferedInputStream(fr, length);
		byte[] ca = new byte[length];
		br.read(ca, 0, length);
		str = new String(ca);
		br.close();
		fr.close();

		return str;
	}
}
