package com.jproxy.mlist.mbeans;

import java.util.*;
import java.io.*;
import java.net.*;

import java.io.InputStream;
import java.io.IOException;

public class IndexedProperties
	extends FileProperties
{
	public IndexedProperties(Object obj, String fileName)
	{
		super(obj, fileName);
	}

	public void store(Properties prop)
	{
		clear();
		Enumeration en = prop.propertyNames();
		while(en.hasMoreElements())
		{
		    String key = (String)en.nextElement();
		    String value = prop.getProperty(key);
		    setProperty(key, value);
		}
		store();
	}
}
